karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Romain Gilles <romain.gil...@gmail.com>
Subject Re: eki bluid error
Date Thu, 05 Apr 2012 02:06:30 GMT
Hi Stephen,
Yes I can. I'm sorry for the delay ...
The following like is a final part of «mvn install» command:
http://pastebin.com/hkn2UkUi

Regards,

Romain

2012/4/4 Stephen Evanchik <evanchsa@gmail.com>

> Hi Romain,
>
> It is a little difficult to see what is going on via email, can you
> paste the logs to pastebin?
>
> It looks like the Eclipse Orbit version referred to in the build no
> longer contains the right packages.
>
>
> Stephen
>
> On Tue, Apr 3, 2012 at 11:41 PM, Romain Gilles <romain.gilles@gmail.com>
> wrote:
> > Hi all,
> > I would like to test EKI project. I'm trying to compile a fresh extract
> > from svn (trunk@1309220) then I'm launching the maven install command
> and
> > after a long download process I get the following error:
> >>mvn install
> > ...
> > [INFO] Adding repository
> >
> http://download.eclipse.org/tools/orbit/downloads/drops/R20110523182458/rep
> > ository
> > [INFO] Cannot complete the request.  Generating details.
> > [INFO] Cannot complete the request.  Generating details.
> > [INFO]
> >
> {org.osgi.framework.executionenvironment=OSGi/Minimum-1.0,OSGi/Minimum-1.1,
> > osgi.ws=gtk, osgi
> > .arch=x86_64, osgi.os=linux, org.eclipse.update.install.features=true,
> > org.osgi.framework.system.pac
> > kages=}
> > [ERROR] Cannot resolve project dependencies:
> > [ERROR]   Software being installed: org.apache.karaf.eik.wtp.core
> > 3.0.0.qualifier
> > [ERROR]   Missing requirement: org.apache.karaf.eik.wtp.core
> > 3.0.0.qualifier requires 'bundle org.os
> > gi.jmx 1.0.0' but it could not be found
> > [ERROR]
> > [ERROR] Internal error: java.lang.RuntimeException: "No solution found
> > because the problem is unsati
> > sfiable.": ["Unable to satisfy dependency from
> > org.apache.karaf.eik.wtp.core 3.0.0.qualifier to bund
> > le org.osgi.jmx 1.0.0.", "Unable to satisfy dependency from
> > org.eclipse.core.runtime.compatibility.a
> > uth 3.2.200.v20110110 to package org.eclipse.osgi.framework.log
> > [1.1.0,2.0.0).", "No solution found
> > because the problem is unsatisfiable."] -> [Help 1]
> > org.apache.maven.InternalErrorException: Internal error:
> > java.lang.RuntimeException: "No solution fo
> > und because the problem is unsatisfiable.": ["Unable to satisfy
> dependency
> > from org.apache.karaf.eik
> > .wtp.core 3.0.0.qualifier to bundle org.osgi.jmx 1.0.0.", "Unable to
> > satisfy dependency from org.ecl
> > ipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
> > org.eclipse.osgi.framework.log [1.
> > 1.0,2.0.0).", "No solution found because the problem is unsatisfiable."]
> >        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
> >        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
> >        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
> >        at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
> >        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> >        at
> >
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
> >        at
> >
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
> >        at java.lang.reflect.Method.invoke(Method.java:597)
> >        at
> >
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
> >        at
> >
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
> >        at
> >
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
> >        at
> > org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
> > Caused by: java.lang.RuntimeException: "No solution found because the
> > problem is unsatisfiable.": ["
> > Unable to satisfy dependency from org.apache.karaf.eik.wtp.core
> > 3.0.0.qualifier to bundle org.osgi.j
> > mx 1.0.0.", "Unable to satisfy dependency from
> > org.eclipse.core.runtime.compatibility.auth 3.2.200.v
> > 20110110 to package org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No
> > solution found because the p
> > roblem is unsatisfiable."]
> >        at
> >
> org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutio
> > nStrategy.java:106)
> >        at
> >
> org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
> >
> >        at
> >
> org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
> >        at
> >
> org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatform
> > Resolver.java:342)
> >        at
> >
> org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformRe
> > solver.java:162)
> >        at
> >
> org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTych
> > oDependencyResolver.java:85)
> >        at
> >
> org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenL
> > ifecycleParticipant.java:91)
> >        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
> >        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
> >        ... 11 more
> > [ERROR]
> > [ERROR] To see the full stack trace of the errors, re-run Maven with the
> -e
> > switch.
> > [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> > [ERROR]
> > [ERROR] For more information about the errors and possible solutions,
> > please read the following arti
> > cles:
> > [ERROR] [Help 1]
> > http://cwiki.apache.org/confluence/display/MAVEN/InternalErrorException
> >
> > Could you help me?
> >
> > Thanks,
> >
> > Romain.
>
>
>
> --
> Stephen Evanchik
> http://stephen.evanchik.com
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message